Subject: [TLS] TLS 1.3 Extended Key Schedule

From: Jonathan Hoyland <[email-masked]>
Date: Mon, 4 Nov 2019 21:59:55 +0000

Hi TLSWG,

Chris and I have put together a draft for adding extra key material into
the TLS 1.3 handshake.

There are various drafts that want to inject extra information into the key
schedule, so it would be great if we could manage to do this in a generic
way.

You can have a look here
<https://datatracker.ietf.org/doc/draft-jhoyla-tls-extended-key-schedule/>.

The usual -00 caveats apply, so feedback and PRs are welcome on Github
<https://github.com/jhoyla/draft-jhoyla-tls-extended-key-schedule>.

Regards,

Jonathan